using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 奖励惩罚原因表
    /// </summary>
    [Description("奖励惩罚原因表")]
    public class T_OG_APPROVE_REWARD_PUNISHMENT_REASON : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldIndex(true)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        [Description("类型")]
        [EnumName("OGRewardPunishmentType")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public OGRewardPunishmentType TYPE { get; set; }

        /// <summary>
        /// 对象
        /// </summary>
        [Description("对象")]
        [EnumName("OGRewardPunishmentObject")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public OGRewardPunishmentObject OBJECT { get; set; }
    }
}
